### Signal

# RB RhythmDB::entry-deleted

#### Declaration

    void
    entry_deleted (
      RhythmDB* self,
      RhythmDBEntry* entry,
      gpointer user_data
    )

#### Description [src]

Emitted when an entry is deleted from the database.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The deleted `RhythmDBEntry`.

  The data is owned by the caller of the function.